# $Revision: 1.11 $, $Date: 2002/05/06 16:45:36 $
Summary:	An efficient alternative to syslogd
Summary(pl):	Wydajny zamiennik syslogd
Name:		metalog
Version:	0.7beta
Release:	1
License:	GPL
Group:		Daemons
Source0:	http://prdownloads.sourceforge.net/metalog/%{name}-%{version}.tgz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
URL:		http://metalog.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pcre-devel
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts
Provides:	syslogdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	klogd
Obsoletes:	syslog
Obsoletes:	syslog-ng

%description
Metalog is a modern replacement for syslogd and klogd. The logged
messages can be dispatched according to their facility, urgency,
program name and/or Perl-compatible regular expressions. Log files can
be automatically rotated when they exceed a certain size or age.
External shell scripts (e.g., mail) can be launched when specific
patterns are found. Metalog is easier to configure than syslogd and
syslog-ng, accepts unlimited number of rules and has (switchable)
memory bufferization for maximal performance.

%description -l pl
Metalog jest nowoczesnym zamiennikiem syslogd i klogd. Logowane
komunikaty mog by rozsyane zalenie od facility, wagi, priorytetu,
nazwy programu i/lub perlowych wyrae regularnych. Pliki logw mog
podlega automatycznej rotacji kiedy przekrocz okrelony rozmiar lub
wiek. Zewntrzne skrypty shellowe (np. poczta) mog by uruchamiane
przy znalezieniu okrelonych wzorcw. Metalog jest atwiejszy do
skonfigurowania ni syslogd i syslog-ng, akceptuje nieskoczon liczb
reguek i ma (przeczalne) buforowanie pamici dla osignicia
najwyszej wydajnoci.

%prep
%setup -q

%build
rm -f missing
aclocal
autoconf
automake -a -c -f
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig},%{_sbindir},%{_mandir}/man8,}

install	src/metalog 	$RPM_BUILD_ROOT%{_sbindir}
install man/metalog.8*	$RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE1}      $RPM_BUILD_ROOT/etc/rc.d/init.d/metalog
install %{SOURCE2}      $RPM_BUILD_ROOT/etc/sysconfig/metalog
install %{SOURCE3}	$RPM_BUILD_ROOT%{_sysconfdir}/metalog.conf

gzip -9nf README AUTHORS NEWS metalog.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add metalog
if [ -f /var/lock/subsys/metalog ]; then
	/etc/rc.d/init.d/metalog restart &>/dev/null
else
	echo "Run \"/etc/rc.d/init.d/metalog start\" to start metalog daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/metalog ]; then
		/etc/rc.d/init.d/metalog stop >&2
	fi
	/sbin/chkconfig --del metalog
fi

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_sbindir}/metalog
%attr(640,root,root) %config %verify(not size mtime md5) %{_sysconfdir}/metalog.conf
%attr(640,root,root) %config %verify(not size mtime md5) /etc/sysconfig/metalog
%attr(754,root,root) /etc/rc.d/init.d/metalog
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: metalog.spec,v $
Revision 1.11  2002/05/06 16:45:36  kloczek
- release 1: cosmetics.

Revision 1.10  2002/05/01 11:56:33  areq
- 0.7beta, STBR

Revision 1.9  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/06 10:42:59  qboosh
- pl translations, cosmetics; release 3

Revision 1.4  2001/09/25 18:39:45  kloczek
- added rc-scripts to Prereq.

Revision 1.3  2001/09/25 15:07:59  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.2  2001/09/15 21:56:54  kloczek
- cosmetics and final cleanups.

Revision 1.1  2001/09/15 20:48:45  areq
- init spec
